#include "options.ih"

void Options::setErrorDirURL()
{
    if (not d_arg->option(&d_errorURL, 'u'))   
        d_errorURL = s_errorURL;

    if (not d_arg->option(&d_errorDir, 'e'))   
    {
        d_errorDir = s_errorDir;
        if (not Stat{ d_errorDir })
            throw Exception{PANIC} << "cannot find error-dir `" << 
                                                    d_errorDir << '\'';
    }

    if (d_errorDir.back() != '/')
        d_errorDir += '/';
}
